package sysImplementation;

public class SampleDriver {

	/* do not use package as identifier */
	/* use correct piazza folder when posting a question */

	public static void main(String[] args) {
		String answer = "";

		MailPackage jacks = new MailPackage("Jack", 2, "Book, Pencil and Misc");
		MailPackage kellys = new MailPackage("Kelly", "Computer");
		MailPackage kellysCopy = new MailPackage(kellys);
		MailPackage toms = new MailPackage("Tom", 2, "Ipad and PC");
		MailPackage lauras = new MailPackage("Laura", 4, "Pad, Pen and Misc");
		MailPackage alices = new MailPackage("Alice", 2, "Mac, Donut");
		MailPackage alices2 = new MailPackage("Alice", 3, "Phone, Cup, Pen");

		answer += getInfo(jacks);
		answer += getInfo(kellys);
		answer += getInfo(kellysCopy);
		answer += "Jack's package cost: " + jacks.getPackageCost();
		answer += "\nJack's and Tom's equal?: " + jacks.equals(toms);
		answer += "\nComparison #1: " + (toms.compareTo(lauras) < 0);
		answer += "\nComparison #2: " + (toms.compareTo(alices) > 0);
		alices.merge(alices2);
		answer += "\n\nMerged:\n" + getInfo(alices);

		System.out.println(answer);
	}

	private static String getInfo(MailPackage mailPackage) {
		String answer = "";

		answer += "Recipient: " + mailPackage.getRecipient();
		answer += "\nNumberOfItems: " + mailPackage.getNumberOfItems();
		answer += "\nDescription: " + mailPackage.getDescription() + "\n\n";

		return answer;
	}
}